# routes/homepage.py
from flask import Blueprint, render_template, redirect, url_for, session, request, flash

homepage_bp = Blueprint('homepage', __name__)

# Hardcoded credentials for testing (replace with proper authentication in production)
VALID_USERNAME = "admin"
VALID_PASSWORD = "password"

@homepage_bp.route('/')
def index():
    # Redirect to /viewall if the user is already logged in
    if 'username' in session:
        return redirect(url_for('viewall.view_list'))
    # Otherwise, redirect to the login page
    return redirect(url_for('homepage.login'))

@homepage_bp.route('/login/', methods=['GET', 'POST'])
def login():
    # Redirect to /viewall if the user is already logged in
    if 'username' in session:
        return redirect(url_for('viewall.view_list'))

    if request.method == 'POST':
        username = request.form['username']
        password = request.form['password']

        # Validate credentials (replace with proper authentication logic)
        if username == VALID_USERNAME and password == VALID_PASSWORD:
            session['username'] = username  # Store username in session
            return redirect(url_for('viewall.view_list'))
        else:
            flash('Invalid username or password', 'error')

    return render_template('login.html')

@homepage_bp.route('/logout/')
def logout():
    # Remove the username from the session
    session.pop('username', None)
    return redirect(url_for('homepage.login'))